Commit 395f4f26 authored by Bruno Guillaume's avatar Bruno Guillaume

version 0.5.0: add install_requires in setup.py

parent ade632cc
# dep2pict_gui
# dep2pict_qt
TODO
\ No newline at end of file
dep2pict_qt is a PyQt5 based GUI for the software dep2pict.
See http://dep2pict.loria.fr for more information.
\ No newline at end of file
......@@ -4,8 +4,8 @@ with open("README.md", "r") as fh:
long_description = fh.read()
setuptools.setup(
name='dep2pict_gui',
version='0.4.0',
name='dep2pict_qt',
version='0.5.0',
packages=setuptools.find_packages(),
license='LICENSE/Licence_CeCILL_V2-en.txt',
description="A Qt interface for the dep2pict software",
......@@ -14,9 +14,13 @@ setuptools.setup(
url="http://dep2pict.loria.fr",
author="bguil",
author_email="Bruno.Guillaume@loria.fr",
install_requires=[
'PyQt5',
'json2html',
],
entry_points={
'gui_scripts': [
'dep2pict_gui = dep2pict_gui.dep2pict:main',
'dep2pict_qt = dep2pict_gui.dep2pict:main',
],
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment